/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/*LS Multilevel Header-ACSS v1.4.2.1*/
/*If you require support, send an email to oscar@lightspuncreative.com*/

:root {
	/*-----YOUR SETTINGS BEGIN HERE-----*/

	/*Layout styling */
	--mlh-top-row-height: 0px;
	--mlh-header-height: var(--header-height, 7rem);
	/*ACSS ONLY*/
	--mlh-content-space: var(--space-m);
	--mlh-gutter: var(--grid-gap);
	/*left and right padding of the header section*/
	--mlh-nav-gap: calc(var(--content-gap) / 2);
	/*Space between items on the desktop nav menu*/
	--mlh-header-shadow: var(--mlh-shadow);
	/*Default: "var(--mlh-shadow)". Set to "none" to turn off*/

	--mlh-content-bg: var(--white);
	/*Set the background color of your menu*/
	--mlh-content-border: var(--neutral-light);

	/*Dropdown styling*/
	--mlh-dropdown-xy: translate(0, 8px);
	--mlh-dropdown-padding: var(--space-s);

	/*(desktop view) Adjust the position of the dropdown tray relative to the menu item*/
	--mlh-dropdown-width: 25rem;
	/*Adjust the width of the dropdown tray*/

	/*Caret icon styling*/
	--mlh-caret-size: 0.6em;

	/*Mobile menu and Dropdown link padding*/
	--mlh-x-padding: var(--btn-pad-x);
	/*Horizontal padding*/
	--mlh-y-padding: var(--btn-pad-y);
	/*Vertical Padding*/

	/*Link styles*/
	--mlh-link: var(--text-dark);
	/*Link default color*/
	--mlh-link-hover: var(--primary);
	/*Link hover color*/
	--mlh-link-hover-bg: var(--primary-ultra-light);
	--mlh-link-radius: var(--radius-s);

	/* Navlink background hover color */
	--mlh-nav-bg: var(--primary-ultra-light);
	/*Change the value to "transparent" to turn off desktop nav background hover effect*/

	/*Font styles*/
	--mlh-font-size: calc(var(--text-m) * 0.8);
	--mlh-font-weight: 700;
	/*Font weight also affects the thickness of the dropdown caret icon*/

	/*Mobile Menu toggle styles*/
	--mlh-toggle-color: var(--text-dark);
	--mlh-toggle-bg: transparent;
	--mlh-toggle-stroke-width: 5px;
	--mlh-toggle-size: 3em;
	--mlh-toggle-stroke-linecap: butt;
	/*butt | round | square*/

	/*Animation speed*/
	--mlh-duration: 0.3s;
	--mlh-timing: ease;

	/*-----YOUR SETTINGS END HERE-----*/

	--mlh-shadow:
		0px 0px 0px rgba(3, 7, 18, 0.1), 0px 1px 1px rgba(3, 7, 18, 0.08),
		0px 1px 1px rgba(3, 7, 18, 0.06), 0px 3px 3px rgba(3, 7, 18, 0.04),
		0px 4px 4px rgba(3, 7, 18, 0.02);
}

/* Mega Menu */
a.mlh-menu-link {
  padding: var(--mlh-y-padding) var(--mlh-x-padding);
  transition-property: background-color;
  transition-duration: var(--mlh-duration);
  transition-timing-function: var(--mlh-timing);
  width: 100%;
  color: var(--mlh-link);
  font-weight: var(--mlh-font-weight);
  font-size: var(--mlh-font-size);
  border-radius: var(--mlh-link-radius);
}
.mlh-menu-link:hover {
    background-color: var(--mlh-link-hover-bg);
  }

.brx-has-megamenu .brx-dropdown-content {
  width: 100%;
  /* Set the megamenu width */
  /* left: unset!important;  */
  /* min-width: var(--width-xl)!important; */
  right: 0;
  /* background-color: var(--mlh-content-bg); */
  border: var(--mlh-content-border);
  border-radius: var(--mlh-link-radius);
  box-shadow: var(--mlh-shadow);
  min-height: fit-content;
  /* gap: 0; */
  
}

.brx-has-megamenu .brx-dropdown-content * {
  gap: unset;
}

/* Header Section */
.mlh-header {
	padding-top: 0;
	padding-bottom: 0;
	background-color: var(--mlh-content-bg);
	position: relative;
	z-index: 1000;
	box-shadow: var(--mlh-header-shadow);
	padding-inline: var(--mlh-gutter);
}

.mlh-header__inner {
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	min-height: var(--mlh-header-height);
}

/** Nav Nestable */

.mlh-desktop-nav>ul {
	gap: var(--mlh-nav-gap);
	flex-wrap: nowrap;
	white-space: nowrap;
}

.mlh-desktop-nav>ul>li>*:not(.brx-dropdown-content, .brxe-button) {
	color: var(--mlh-link);
	font-weight: var(--mlh-font-weight);
	font-size: var(--mlh-font-size);
	transition:
		background-color var(--mlh-duration) var(--mlh-timing),
		color var(--mlh-duration) var(--mlh-timing);
	padding-top: calc(var(--mlh-y-padding) * 0.4);
	padding-right: calc(var(--mlh-x-padding) * 0.4);
	padding-bottom: calc(var(--mlh-y-padding) * 0.4);
	padding-left: calc(var(--mlh-x-padding) * 0.4);
	border-radius: var(--mlh-link-radius);
}

/*** Nav link Hover effects. Exclude dropdown content*/
.mlh-desktop-nav ul>li>*:not(.brx-dropdown-content),
.mlh-desktop-nav ul>li>.brx-submenu-toggle,
.mlh-mobile-nav ul>li>a:hover,
.mlh-mobile-nav ul>li>.brx-submenu-toggle:hover,
.mlh-mobile-nav .mlh-dropdown-back:hover {
	transition:
		background-color var(--mlh-duration) var(--mlh-timing),
		color var(--mlh-duration) var(--mlh-timing);
}

.mlh-desktop-nav ul>li:hover>*:not(.brx-dropdown-content, .brxe-button) {
	background-color: var(--mlh-nav-bg);
	color: var(--mlh-link-hover);
}

/*** Ensure that active dropdown item retains the hover styling */
.mlh-desktop-nav ul>li.brx-has-multilevel.open>.brx-submenu-toggle {
	background-color: var(--mlh-nav-bg);
}

.mlh-desktop-nav ul>li.brx-has-multilevel.open>.brx-submenu-toggle>* {
	color: var(--mlh-link-hover);
}

/**Dropdown tray */
.mlh-desktop-nav,
.mlh-top-row {

	/*** Position the dropdown tray */
	.brx-nav-nested-items>.brxe-dropdown>.brx-dropdown-content {
		transform: var(--mlh-dropdown-xy);
	}

	ul>.brxe-dropdown>.brx-dropdown-content:not(:empty) {
		padding: var(--mlh-dropdown-padding);
	}

	/*** Style the dropdown tray */
	ul.brx-dropdown-content {
		background-color: var(--mlh-content-bg);
		border: var(--mlh-content-border) solid 1px;
		border-radius: var(--mlh-link-radius);
		gap: 0;
		min-width: var(--mlh-dropdown-width);
		transition-duration: var(--mlh-duration);
		transition-timing-function: var(--mlh-timing);
	}

	/*** Style the dropdown link items */
	ul.brx-dropdown-content>li>* {
		padding: var(--mlh-y-padding) var(--mlh-x-padding);
		color: var(--mlh-link);
		font-weight: var(--mlh-font-weight);
		font-size: var(--mlh-font-size);
	}

	ul.brx-dropdown-content>li:hover>a,
	ul.brx-dropdown-content>li:hover>.brx-submenu-toggle {
		background-color: var(--mlh-link-hover-bg);
	}

	.brx-submenu-toggle,
	a.brx-multilevel-back {
		justify-content: space-between;
	}

	ul.brx-dropdown-content>li.brxe-dropdown>.brx-submenu-toggle button svg {
		rotate: -90deg;
	}

	/* Apply radius only to the first and last items on the DD tray */
	ul.brx-dropdown-content> :first-child>* {
		border-radius: var(--mlh-link-radius) var(--mlh-link-radius) 0 0;
	}

	ul.brx-dropdown-content> :last-child>a,
	ul.brx-dropdown-content> :last-child>.brx-submenu-toggle {
		border-radius: 0 0 var(--mlh-link-radius) var(--mlh-link-radius);
	}
}

/*** Set the caret width */
.mlh-desktop-nav,
.mlh-mobile-nav {

	.brx-submenu-toggle button>svg>path,
	.brx-submenu-toggle>button>svg>path {
		stroke: currentColor;
		stroke-width: calc(var(--mlh-font-weight) / 300);
	}

	.brx-submenu-toggle>button>svg,
	.brx-submenu-toggle>button>svg {
		width: var(--mlh-caret-size);
		min-width: 0.4em;
	}
}

/*****************TOP ROW*****************/

.mlh-top-row {
	--top-row-bg: var(--base);
	--top-row-link-color: var(--bg-ultra-dark-link);
	--top-row-link-color-hover: var(--bg-ultra-dark-link-hover);
	--top-row-text-color: var(--text-light);

	background: var(--top-row-bg);
	padding-inline: var(--mlh-gutter);
	color: var(--top-row-text-color);

	a {
		color: var(--top-row-link-color);
	}

	a:hover {
		color: var(--top-row-link-color-hover);
	}
}

.mlh-top-row__inner {
	flex-direction: row;
	gap: var(--space-m);
	justify-content: end;
	align-items: center;
	inline-size: 100%;
	min-block-size: var(--mlh-top-row-height);
	font-size: var(--mlh-font-size);
	max-width: var(--content-width);
}

/*****************OFF CANVAS*****************/

.mlh-offcanvas>.brx-offcanvas-inner {
	padding: calc(var(--mlh-content-space) + var(--mlh-header-height) + var(--mlh-top-row-height)) var(--mlh-gutter) var(--mlh-content-space) var(--mlh-gutter);
	background: var(--mlh-content-bg);
}

.mlh-offcanvas>.brx-offcanvas-inner ul {
	padding-inline-start: 0;
	list-style-type: none;
}

/*******MOBILE MENU******/
.mlh-mobile-nav:has(.brxe-dropdown.open.active) {
	overflow: hidden;
}

.mlh-mobile-nav ul {
	gap: 0;
}

.mlh-mobile-nav ul>li>a,
.mlh-mobile-nav ul>li>.brx-submenu-toggle,
.mlh-mobile-nav .mlh-dropdown-back {
	padding: var(--mlh-y-padding) var(--mlh-x-padding);
	color: var(--mlh-link);
	width: 100%;
	transition-property: background-color, color;
	transition-duration: var(--mlh-duration);
	border-radius: var(--mlh-link-radius);
	justify-content: space-between;
	background-color: transparent;
	font-size: var(--mlh-font-size);
	font-weight: var(--mlh-font-weight);
}

.mlh-mobile-nav ul>li>a:hover,
.mlh-mobile-nav ul>li>.brx-submenu-toggle:hover,
.mlh-mobile-nav .mlh-dropdown-back:hover {
	background-color: var(--mlh-link-hover-bg);
	color: var(--mlh-link-hover);
}

.mlh-mobile-nav ul>.brxe-dropdown {
	width: 100%;
}

.mlh-mobile-nav .brx-submenu-toggle>button>svg {
	rotate: -90deg;
}

.mlh-mobile-nav .brx-has-multilevel ul .active>.brx-submenu-toggle,
.mlh-mobile-nav .brx-has-multilevel ul li:not(.open) {
	display: flex;
}

.mlh-desktop-nav a.brx-multilevel-back>svg,
.mlh-mobile-nav .mlh-dropdown-back>svg,
.mlh-mobile-nav a.brx-multilevel-back>svg {
	width: var(--mlh-caret-size);
	min-width: 0.4em;
	stroke: currentColor;
	rotate: 90deg;
}

.mlh-mobile-nav .mlh-dropdown-back>svg>path,
.mlh-mobile-nav a.brx-multilevel-back>svg>path {
	stroke-width: calc(var(--mlh-font-weight) / 300);
}

/********SECONDARY OFFCANVAS MAGIC**********/
/* Mobile menu styles */
body:not([data-builder-mode]) .mlh-mobile-nav .brxe-dropdown[data-static] .brx-dropdown-content {
	display: block;
	visibility: visible;
	opacity: 1;
	position: fixed;
	top: 0;
	left: 0;
	background-color: var(--mlh-content-bg);
	width: 100%;
	height: fit-content;
	min-height: 100%;
	transform: translateX(100%);
	padding-top: calc(var(--mlh-header-height) + var(--mlh-content-space) + var(--mlh-top-row-height));
	padding-inline: var(--mlh-x-padding);
	transition: transform var(--mlh-duration) var(--mlh-timing);
	box-shadow: var(--mlh-shadow);
}

body:not([data-builder-mode]) .mlh-mobile-nav .brxe-dropdown[data-static] .open>.brx-dropdown-content,
body:not([data-builder-mode]) .mlh-mobile-nav .brxe-dropdown[data-static].open>.brx-dropdown-content {
	transform: translateX(0%);
}

/* Offcanvas animation */
.mlh-offcanvas>.brx-offcanvas-inner {
	transition: var(--mlh-duration) var(--mlh-timing);
}

/*Mobile Nav Styles*/
.mlh-mobile-nav>ul {
	padding-inline-start: 0;
	list-style-type: none;
}

/* Fix overscroll problem */

body:not([data-builder-mode]) .mlh-mobile-nav .brxe-dropdown[data-static].brx-has-multilevel .brx-dropdown-content {
	height: 100%;
	overflow: hidden;
}

body:not([data-builder-mode]) .mlh-mobile-nav .brxe-dropdown.open.active .brx-dropdown-content {
	max-height: 100%;
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
}

/************/

/*Toggle Icon styling*/

.mlh-header {
	.brxe-toggle {
		background-color: var(--mlh-toggle-bg);
		border-radius: var(--mlh-link-radius);

		svg {
			border-radius: var(--mlh-link-radius);

			>path {
				stroke: var(--mlh-toggle-color);
			}
		}
	}
}


/*Animate dropdown caret when active*/

.mlh-desktop-nav .brx-submenu-toggle>button>svg {
	transition-property: rotate;
	transition-duration: var(--mlh-duration);
	transition-timing-function: var(--mlh-timing);
}

.mlh-desktop-nav .brxe-dropdown.open>.brx-submenu-toggle>button>svg {
	rotate: 180deg;
}

/*Fixes due to Bricks Bugs*/

/* Hide extra back buttons */
.brx-dropdown-content>li:not(:first-child):has(> a.brx-multilevel-back) {
	display: none;
}

/*remove border from inactive dropdown tray content*/
.brx-dropdown-content:has(.brx-has-multilevel.open.active) {
	border: none;
}

/* card */

.card{
  position:relative;
}

.stretched-link{
  position:absolute;
  inset:0;
  z-index:1;
}

.is-invisible{
  opacity:0;
}

/* address */

address{
  font-style:normal;
}

/* list styling */

.brxe-text ul:not(ul.list--none, nav ul){
  list-style:none;
  position:relative;
}

.brxe-text ul:not(ul.list--none, nav ul) > li::before{
  content:"";
  aspect-ratio:1;
  width:1em;
  background-color:var(--primary);
  position:relative;
  display:inline-block;
  mask-image:url("data:image/svg+xml,%3Csvg aria-hidden='true' viewBox='0 0 320 512' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z'/%3E%3C/svg%3E");
  mask-repeat:no-repeat;
}

/* fluent forms */

.form--light .frm-fluent-form input[type="checkbox"]:checked{
  background-color:var(--base);
}

.form--light .frm-fluent-form input[type="radio"],
.form--light .frm-fluent-form input[type="checkbox"],
.form--light .frm-fluent-form input.ff_gdpr_field,
.form--light .frm-fluent-form span.ff_tc_checkbox input{
  height:1.5em;
  width:1.5em;
  padding:0;
}

.form--light .fluentform .ff_t_c{
  padding-inline-start:.5em;
}

.brx-dropdown-content > li:first-child > *{
  border-radius:var(--mlh-link-radius) var(--mlh-link-radius) 0 0;
}


/* filter checkbox */

ul.brxe-filter-checkbox li input[type="checkbox"]{
  display:none;
}


